server:
  port: 8871

spring:
  application:
    name: gateway-service
  security:
    oauth2:
      resourceserver:
        jwt:
          jwk-set-uri: 'http://${gateway-addr:localhost}:${gateway-port:8871}/user-auth/rsa/publicKey' #配置RSA的公钥访问地址
  cloud:
    gateway:
      discovery:
        locator:
          enabled: true
      routes:
        - id: structure-center
          uri: lb://structure-center
          predicates:
            - Path=/structure-center/**
          filters:
            - StripPrefix=1
        - id: security-center
          uri: lb://security-center
          predicates:
            - Path=/security-center/**
          filters:
            - StripPrefix=1
        - id: user-auth
          uri: lb://user-auth
          predicates:
            - Path=/user-auth/**
          filters:
            - StripPrefix=1
        - id: message-service
          uri: lb://message-service
          predicates:
            - Path=/message-service/**
          filters:
            - StripPrefix=1
        - id: report-service
          uri: lb://report-service
          predicates:
            - Path=/report-service/**
          filters:
            - StripPrefix=1
    config:
      discovery:
        enabled: true
        service-id: config-center
  redis:
    jedis:
      pool:
        max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
        max-idle: 5 # 连接池中的最大空闲连接
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        min-idle: 0 # 连接池中的最小空闲连接
    timeout: 20000 # 连接超时时间（毫秒）
  profiles:
    active: debug

eureka:
  client:
    service-url:
      defaultZone: http://${eureka-addr:localhost}:${eureka-port:6751}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/gateway-service

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

secure:
  ignore:
    urls: # 配置白名单路径
      - "/doc.html"
      - "/swagger-resources/**"
      - "/swagger/**"
      - "/**/v2/api-docs"
      - "/**/*.js"
      - "/**/*.css"
      - "/**/*.png"
      - "/**/*.ico"
      - "/webjars/springfox-swagger-ui/**"
      - "/actuator/**"
      - "/user-auth/oauth/token"
      - "/user-auth/rsa/publicKey"
      - "/security-center/userManage/login"
      - "/security-center/userManage/close"
      - "/message-service/pageSample/sample"
      - "/message-service/backSample/sendToDefaultTopic"
      - "/message-service/backSample/sendToTopic"
      - "/report-service/medAppealExamineInInfoManage/getComplaintRecord"
      - "/report-service/medAppealExamineInInfoManage/getAppealReview"
      - "/report-service/medAppealExamineInInfoManage/approved"
      - "/report-service/medAppealExamineInInfoManage/getAuditNumber"
      - "/report-service/medAppealExamineInInfoManage/rejected"
      - "/report-service/medAppealExamineInInfoManage/getApprovedView"
      - "/report-service/medAppealExamineInInfoManage/getComplaintDetailMsg"
      - "/report-service/medAppealInfoManage/addAppealInfo"
      - "/report-service/medAppealInfoManage/getReviewer"
      - "/report-service/medAppealInfoManage/getAppealOperationType"
      - "/report-service/medAppealInfoManage/cancelAppealInfo"
      - "/report-service/medAppealInfoManage/getAppealInfo"
      - "/report-service/medAppealInfoManage/getAppealDept"
      - "/report-service/medAppealInfoManage/getAppealMode"